GDB (xrefs)

Public Attributes | List of all members
s390_arg_state Struct Reference

## Public Attributes
struct regcache * | regcache
int | gr
int | fr
int | vr
CORE_ADDR | copy
CORE_ADDR | argp

## Detailed Description

Definition at line 3168 of file s390-linux-tdep.c.

## Member Data Documentation

## ◆ argp

CORE_ADDR s390_arg_state::argp

Definition at line 3178 of file s390-linux-tdep.c.

Referenced by s390_handle_arg(), and s390_push_dummy_call().

## ◆ copy

CORE_ADDR s390_arg_state::copy

Definition at line 3176 of file s390-linux-tdep.c.

Referenced by s390_handle_arg(), and s390_push_dummy_call().

## ◆ fr

int s390_arg_state::fr

Definition at line 3174 of file s390-linux-tdep.c.

Referenced by s390_handle_arg(), and s390_push_dummy_call().

## ◆ gr

int s390_arg_state::gr

Definition at line 3174 of file s390-linux-tdep.c.

Referenced by s390_handle_arg(), and s390_push_dummy_call().

## ◆ regcache

struct regcache* s390_arg_state::regcache

Definition at line 3171 of file s390-linux-tdep.c.

Referenced by s390_handle_arg(), and s390_push_dummy_call().

## ◆ vr

int s390_arg_state::vr

Definition at line 3174 of file s390-linux-tdep.c.

Referenced by s390_handle_arg(), and s390_push_dummy_call().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/s390-linux-tdep.c